#ifndef SLICEMERGER_HH 
#define SLICEMERGER_HH 1

#include "RequestManager.hh"
#include "ReadMerger.hh"

using libSlice::SliceData;

class SliceMerger : public RequestManager
{
public:
  SliceMerger(ReadMerger & readMerger);
  ~SliceMerger();

  void addSliceRange(long & index, long & gindex);
  void addSlice(SliceData * slice);
  void endSlices();

  static void handleOptions(Foundation * tf);
  static void addSliceList(ReadMerger::StringList & inputfiles);

private:
  bool m_firstSlice;

  long m_newIndex;
  long m_newGindex;

  ReadMerger & m_readMerger;

  static string s_slicelist;
};

#endif
