#ifndef CONSENSUSREQUEST_HH
#define CONSENSUSREQUEST_HH 1

#include <Foundation.hh>
#include <string>

class ConsensusRequest
{
public:
  ConsensusRequest(const char * type,
                   const char * host,
                   const char * user,
                   const char * id,
                   const char * option);
  ~ConsensusRequest();

  const string & getType()   const;
  const string & getHost()   const;
  const string & getUser()   const;
  const string & getId()     const;
  const string & getOption() const;

  void           printXML(ostream & out, const string & prefix="") const;

private:

  string m_type;
  string m_host;
  string m_user;
  string m_id;
  string m_option;

};

#endif
